Anonymization

Anonymize end user

PATCH
/v1/endusers/{userId}/anonymize

Request the anonymization of an end user.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

userId*string

The id of the end user to anonymize

Formatuuid

Query Parameters

force?boolean

Whether to force close all the conversations initiated by the end user, if any are found in a non closed state.

Defaultfalse

Response Body

The end user's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/endusers/{userId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "6bf55369-a670-4e6b-9f70-ecdb9913549f",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "f28fafd6-2e42-4441-943c-388a8e0ef433",
"requestedBy": "2b01e4c9-0c3a-47d4-9462-cd5a1a4687f5"
}
}

Anonymize conversation

PATCH
/v1/conversations/{conversationId}/anonymize

Request the anonymization of a conversation.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

conversationId*integer

the id of the conversation to anonymize

Formatint64

Query Parameters

force?boolean

Whether to force close the conversation if it is found in a non closed state.

Defaultfalse

Response Body

The conversation's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "87bac308-e49f-4134-84cc-96b868f1e1e4",
"entityType": "ConversationAnonymizationType",
"_type": "Conversation",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "10749",
"requestedBy": "b165fdaa-51d6-44b0-bfcd-5f431d623fa7"
}
}

Anonymize message

PATCH
/v1/conversations/{conversationId}/messages/{messageId}/anonymize

Request the anonymization of a single message in a conversation.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

conversationId*integer

the id of the conversation in which the message belongs

Formatint64
messageId*string

the id of the message to anonymize

Formatuuid

Response Body

The message's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/messages/{messageId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "b165fdaa-51d6-44b0-bfcd-5f431d623fa7",
"entityType": "MessageAnonymizationType",
"_type": "Message",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "10749_1b9adc49-62f7-4056-a9c0-c18c1f25afdb",
"requestedBy": "4c7af391-b7fd-4560-9d82-b3464eef8776"
}
}

Get anonymization status

GET
/v1/anonymization/request/{requestId}

Retrieve an anonymization request submitted earlier (user or conversation).

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

requestId*string
Formatuuid

Response Body

The anonymization request

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/anonymization/request/{requestId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "062f0b37-4de0-40f2-95a4-641435cb2869",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "da9db703-4a7a-4f44-8a6a-c03b179b8ae2",
"requestedBy": "bac5a02c-15b3-44da-ae1e-ab7b9db4aa89"
}
}

Anonymize entity

Deprecated
POST
/v1/anonymization

Anonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status closed. Otherwise, it requires forceAnonymization parameter set to true in the input body. NOTE: This endpoint is deprecated. Prefer using the anonymization endpoints of specific resources instead.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Request Body

A request to anonymize an entity in the system (user or conversation).

application/json
  1. body
entityId*string
entityType?|||Deprecated

Replaced by _type field

forceAnonymization?boolean
_type?string

values: [Conversation, Message, User]

Response Body

The anonymization request status

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/anonymization' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "entityId": "a53b25da-f676-4c52-acac-58c9280aa23d",  "_type": "User"}'
{
"data": {
"id": "a53b25da-f676-4c52-acac-58c9280aa23d",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "6292b720-9dbd-4ff7-8942-f4e917cc1520",
"requestedBy": "062f0b37-4de0-40f2-95a4-641435cb2869"
}
}